Subject: bug#27263: closed (Re: bug#27263: [PATCH 2/2] gnu: perl: Fix CVE-2017-6512 in File::Path.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 07 Jun 2017 16:18:02 +0000

Your bug report

#27263: Perl CVE-2017-6512

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
27263: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=27263
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#27263: [PATCH 2/2] gnu: perl: Fix CVE-2017-6512 in File::Path.
From: Leo Famulari <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Wed, 7 Jun 2017 12:17:53 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed, Jun 07, 2017 at 01:18:09AM +0200, Ludovic Courtès wrote:
> Leo Famulari <[email-masked]> skribis:
> 
> > * gnu/packages/perl.scm (perl)[replacement]: New field.
> > (perl/fixed): New variable.
> > * gnu/packages/patches/perl-file-path-CVE-2017-6512.patch: New file.
> > * gnu/local.mk (dist_patch_DATA): Add it.
> 
> OK too.
> 
> I suppose we’ll have to apply it in core-updates too, right?

And, done as c67d587f94173fd42d65097165afc5c512935646.

I tested that this packaging of Perl 5.26.0 builds on master, then I
"ported" the package to core-updates. I don't have the resources to
build the Perl package on core-updates in a timely manner.

Subject: Perl CVE-2017-6512
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Mon, 5 Jun 2017 23:01:08 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

These patches fix CVE-2017-6512 in perl-file-path and the copy of
File::Path in perl itself.